<?php
require_once 'connect.php';

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    try {
        // Fetch all records from the 'ads' table
        $stmt = $con->query('SELECT * FROM ads');
        $adsData = $stmt->fetchAll(PDO::FETCH_ASSOC);

        // Cast each id to string
        foreach ($adsData as &$ad) {
            $ad['id'] = (string) $ad['id'];
        }

        // Prepare the response with success message
        $response = [
            'message' => 'success',
            'ads' => $adsData
        ];

    } catch (Exception $e) {
        // In case of an error, return a failure message
        $response = [
            'message' => 'failure',
            'error' => $e->getMessage()
        ];
        http_response_code(500); // Internal Server Error
    }

    echo json_encode($response);

} else {
    // Invalid request method, return an error response
    http_response_code(405);
    echo json_encode(['message' => 'Method Not Allowed']);
}
?>