<?php
require_once 'connect.php';

header('Content-Type: application/json');

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $baseUrl = 'https://optima-software-solutions.com/falcon/dasboard/uploads/';

    try {
        // Fetch all modules
        $stmt = $con->prepare('SELECT * FROM modules');
        $stmt->execute();
        $modulesData = $stmt->fetchAll(PDO::FETCH_ASSOC);

        // Add full URL for images and cast id to string
        foreach ($modulesData as &$module) {
            $module['id'] = (string) $module['id']; // Cast id to string
            $module['image_url'] = $baseUrl . $module['image']; // Construct the full URL for the image
            unset($module['image']); // Remove the original image field
        }

        // Prepare the response with success message
        $response = [
            'message' => 'success',
            'modules' => $modulesData
        ];

    } catch (Exception $e) {
        // In case of an error, return a failure message
        $response = [
            'message' => 'failure',
            'error' => $e->getMessage()
        ];
        http_response_code(500); // Internal Server Error
    }

    echo json_encode($response);

} else {
    // Invalid request method, return an error response
    http_response_code(405);
    echo json_encode(['message' => 'Method Not Allowed']);
}
?>
